QGIS Application - Bug report #19192
gdalbuildvrt can fails handling wildcards under win10 1803
2018-06-14 04:37 PM - Frank Thiemann

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 (1803) Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 27021
Description

gdalbuildvrt fails handling wildcards * under windows 10 1803

it was working properyly before windows 10 april function update
MSVC2017 64x build from GlISInternals (gdal 2.03) is also working properly

testet on 2 computers
computer 1: program is running without any messages, no result is produced

computer 2. error message of missing file, vrt is built but first file of each folder is missing.

It thows a error message for each folder the one file is not found.
the filename of the not found file is the first character of the file name missed file.

Steps to reproduce the problem.
gdalbuildvrt dest.vrt folder/* tif

Operating system: Windows 10 April update (1803)
qgis version: 3.0.x

History

#1 - 2018-06-14 10:38 PM - Nyall Dawson
- Resolution set to up/downstream

- Status changed from Open to Closed

Not a qgis issue

#2 - 2018-06-14 11:35 PM - Frank Thiemann

Who's issue is it? Who is building the gdal binaries?

It seams also not to be a gdal issue

#3 - 2018-06-15 02:10 PM - Giovanni Manghi

Frank Thiemann wrote:

Who's issue is it? Who is building the gdal binaries?
It seams also not to be a gdal issue

qgis for windows is built upon the packages from osgeo4w

https://trac.0sgeo.org/osgeodw/

then it uses the gdal package in there.

After installing QGIS open the osgeo4w shell, there you can run any gdal command (the same gdal copy qgis uses).

If the operation fails from that shell then it will also fail on ggis, but the bug has to be reported to the osgeo4w tracker.

#4 - 2018-07-13 02:57 PM - Adrian Klink

maybe not a qgis issue but affects current QGIS 2.18.21 and QGIS 3.2.0 running in Win10 (1803) using GDAL 2.2.4 from OSGEO4W build. Therefore
QGIS installers for Windows should be updated once a fix is available in OSGEO4W.

see:
https://github.com/OSGeo/gdal/issues/568 (closed as not gdal issue, but rather OSGEO4W build issue)
https://trac.osgeo.org/osgeo4w/ticket/574 (epen, closed - fixed in GDAL 2.2.4-2)

Update:
fix available in 0SGeo4W build of GDAL 2.2.4-2 via OSGeo4W installer

hopefully it will be in next QGIS release, too, please ;-)
